summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/stty.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/misc/stty.sh b/tests/misc/stty.sh
index 88d5796cf..5735b764a 100755
--- a/tests/misc/stty.sh
+++ b/tests/misc/stty.sh
@@ -35,8 +35,12 @@ stty $(cat $saved_state) || fail=1
# This would segfault prior to sh-utils-2.0j.
stty erase - || fail=1
-# Ensure --immediate mode is supported
-stty -I erase - || fail=1
+# Ensure "immediate" and "wait" mode supported, with and without settings
+for mode in '-drain' 'drain'; do
+ for opt in 'echo' ''; do
+ stty "$mode" $opt || fail=1
+ done
+done
# These would improperly ignore invalid options through coreutils 5.2.1.
returns_ 1 stty -F 2>/dev/null || fail=1